For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
  • Processor Endpoints
    • POSTRun Processor
    • GETGet Processor Run
    • GETList Processor Runs
    • POSTCancel Processor Run
    • DELDelete Processor Run
    • GETGet Batch Processor Run
    • GETList Processors
    • POSTCreate Processor
    • POSTUpdate Processor
    • POSTPublish Processor Version
    • GETGet Processor Version
    • GETList Processor Versions
  • Parse Endpoints
    • POSTParse File
    • POSTParse File Async
    • GETGet Parser Run
    • DELDelete Parser Run
  • Workflow Endpoints
    • POSTRun Workflow
    • GETGet Workflow Run
    • GETList Workflow Runs
    • POSTUpdate Workflow Run
    • POSTCancel Workflow Run
    • DELDelete Workflow Run
    • POSTCreate Workflow
    • POSTBatch Run Workflow
    • POSTCorrect Workflow Run Outputs
  • File Endpoints
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • GETList Files
    • POSTCreate File
  • Edit Endpoints
    • POSTEdit File
    • POSTEdit File Async
    • POSTGenerate Edit Schema
    • GETGet Edit Run
    • DELDelete Edit Run
    • GETGet Edit Template
  • Evaluation Set Endpoints
    • GETGet Evaluation Set
    • GETList Evaluation Sets
    • POSTCreate Evaluation Set
    • GETList Evaluation Set Items
    • POSTCreate Evaluation Set Item
    • POSTUpdate Evaluation Set Item
    • DELDelete Evaluation Set Item
    • POSTBulk Create Evaluation Set Items
LogoLogo
Book a demoLog in
Processor Endpoints

Publish Processor Version

POST
https://api.extend.ai/processors/:id/publish
POST
/processors/:id/publish
1from extend_ai import Extend
2from extend_ai.processor_version import ProcessorVersionCreateRequestReleaseType
3
4client = Extend(
5 token="YOUR_TOKEN_HERE",
6 extend_api_version="2025-04-21",
7)
8
9client.processor_version.create(
10 id="processor_id_here",
11 release_type=ProcessorVersionCreateRequestReleaseType.MAJOR,
12)
1{
2 "success": true,
3 "processorVersion": {
4 "object": "document_processor_version",
5 "id": "dpv_xK9mLPqRtN3vS8wF5hB2cQ",
6 "processorId": "dp_Xj8mK2pL9nR4vT7qY5wZ",
7 "processorType": "EXTRACT",
8 "version": "draft",
9 "config": {
10 "type": "CLASSIFY",
11 "baseProcessor": "classification_performance",
12 "baseVersion": "3.2.0",
13 "classifications": [
14 {
15 "id": "my_unique_id",
16 "type": "invoice",
17 "description": "An invoice is a document that lists the items purchased and the total amount due."
18 }
19 ],
20 "classificationRules": "Remember, when it comes to differentiating between invoices and purchase orders, the most important thing to look for is the date of the document.",
21 "advancedOptions": {
22 "context": "default",
23 "advancedMultimodalEnabled": false,
24 "fixedPageLimit": 30,
25 "pageRanges": [
26 {
27 "start": 1,
28 "end": 10
29 },
30 {
31 "start": 20,
32 "end": 30
33 }
34 ]
35 },
36 "parser": {
37 "target": "markdown",
38 "chunkingStrategy": {
39 "type": "page",
40 "options": {
41 "minCharacters": 100,
42 "maxCharacters": 1000
43 }
44 },
45 "engine": "parse_performance",
46 "blockOptions": {
47 "figures": {
48 "enabled": true,
49 "figureImageClippingEnabled": true
50 },
51 "tables": {
52 "enabled": true,
53 "targetFormat": "markdown",
54 "tableHeaderContinuationEnabled": false,
55 "cellBlocksEnabled": false,
56 "agentic": {
57 "enabled": false,
58 "customInstructions": "string"
59 }
60 },
61 "text": {
62 "signatureDetectionEnabled": true,
63 "agentic": {
64 "enabled": false,
65 "customInstructions": "string"
66 }
67 }
68 },
69 "advancedOptions": {
70 "pageRotationEnabled": true,
71 "agenticOcrEnabled": false,
72 "pageRanges": [
73 {
74 "start": 1,
75 "end": 10
76 },
77 {
78 "start": 20,
79 "end": 30
80 }
81 ],
82 "excelParsingMode": "basic",
83 "excelSkipHiddenContent": false,
84 "excelUseRawCellValues": false,
85 "excelSkipCalculation": true,
86 "verticalGroupingThreshold": 1,
87 "returnOcr": {
88 "words": false
89 },
90 "alwaysConvertToPdf": false
91 }
92 }
93 },
94 "createdAt": "2024-03-21T15:30:00Z",
95 "updatedAt": "2024-03-21T16:45:00Z",
96 "processorName": "Invoice Processor",
97 "description": "Updated extraction fields for new invoice format"
98 }
99}
This endpoint allows you to publish a new version of an existing processor. Publishing a new version creates a snapshot of the processor's current configuration and makes it available for use in workflows. Publishing a new version does not automatically update existing workflows using this processor. You may need to manually update workflows to use the new version if desired.
Was this page helpful?
Previous

Get Processor Version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the processor to publish a new version for.

Example: "dp_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2025-04-21"OptionalDefaults to 2025-04-21
API version to use for the request. If you do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2025-04-21/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2025-04-21/developers/authentication) for details on API key scopes.

Request

This endpoint expects an object.
releaseTypeenumRequired
The type of release for this version. The two options are "major" and "minor", which will increment the version number accordingly.
Allowed values:
descriptionstringOptional
A description of the changes in this version. This helps track the evolution of the processor over time.
configobjectOptional
The configuration for this version of the processor. The type of configuration must match the processor type.

Response

Successfully published processor version
successboolean
processorVersionobject

Errors

400
Bad Request Error
401
Unauthorized Error

API version to use for the request. If you do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.